%define  req_libgnomeui_version	2.1.0

Summary:        The gnome desktop programs for the GNOME GUI desktop environment
Name:           gnome-session
Version: 2.22.0
Release:        %mkrel 2
License:        GPL/LGPL
Group:          Graphical desktop/GNOME
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:        gnome-session-startgnome
Source2:	gnome-session-gnomerc
Source3:        gnome-splash.png
# (fc) 2.0.7-2mdk add pam-panel-icon and eggcups to default session
Patch3:		gnome-session-2.17.90-defaultsession.patch
# (fc) 2.2.0.2-2mdk add some icons to splashscreen
Patch4:		gnome-session-2.18.0-splashicons.patch
# (fc) 2.4.2-3mdk use our own splash
Patch6:		gnome-session-2.17.90-splash.patch
# (fc) 2.15.1-1mdv disable crash on warning
Patch8:		gnome-session-2.13.4-no-crashes.patch
# (blino) 2.16.1-2mdv allow to pass sm client id to compositing wm
Patch9:		gnome-session-2.16.1-compositing-wm.patch
# (fc) 2.17.92-2mdv increase timeout for at-spi launch
Patch11:	gnome-session-2.19.4-popup.patch
# (fc) 2.20.0-1mdv don't fade logout on LTSP client (Ubuntu)
Patch13:	gnome-session-2.20-dont-fade-ltsp.patch
# (fc) 2.20.0-1mdv prevent splash from staying too long on screen (Ubuntu)
Patch14:	gnome-session-2.20-splash-hide.patch
# (fc) 2.20.2-2mdv always enable sound server (since we use PulseAudio)
Patch16:	gnome-session-enable-sound-by-default.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
URL:            http://www.gnome.org/softwaremap/projects/gnome-session/
Requires:	GConf2 >= 1.2.1
Requires:	GConf2-sanity-check
Requires:	desktop-common-data
Requires:	usermode >= 1.63
Requires:	gnome-user-docs
Requires:	gnome-settings-daemon
BuildRequires:	gnome-keyring-devel >= 2.21.92
BuildRequires:	usermode-consoleonly
BuildRequires:  tcp_wrappers-devel
BuildRequires:	libGConf2-devel >= 1.2.1
BuildRequires:  libgnomeui2-devel >= %{req_libgnomeui_version}
BuildRequires:  gnome-settings-daemon-devel
BuildRequires:  avahi-glib-devel avahi-client-devel
BuildRequires:  libgcrypt-devel
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: automake1.9

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The GNOME Session Manager restores a set session (group of applications)
when you log into GNOME.

%prep
%setup -q
%patch3 -p1 -b .defaultsession
%patch4 -p1 -b .splashicons
%patch6 -p1 -b .splash
%patch8 -p1 -b .disablewarningcrash
%patch9 -p1 -b .compositing-wm
%patch11 -p1 -b .popup
%patch13 -p1 -b .prevent-fade-ltsp
%patch14 -p1 -b .splash-hide
%patch16 -p1 -b .enable-sound

%build

%configure2_5x --with-reboot-command=%{_bindir}/reboot --with-halt-command=%{_bindir}/poweroff
%make


%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

cp %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/mdv-gnome-splash.png

# wmsession session file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/02GNOME
NAME=GNOME
ICON=gnome-logo-icon-transparent.png
DESC=GNOME Environment
EXEC=%{_bindir}/startgnome
SCRIPT:
exec %{_bindir}/startgnome
EOF

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Advanced" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/startgnome

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gnome/gnomerc
# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{be@latin}
%find_lang %{name}-2.0

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_bindir}/gnome-smproxy $RPM_BUILD_ROOT%{_datadir}/xsessions


%define schemas gnome-session

%post
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Gnome$|DESKTOP=GNOME|g" /etc/sysconfig/desktop
fi
%post_install_gconf_schemas %{schemas}
%{make_session}
%{update_menus}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{make_session}
%{clean_menus}
%clean_icon_cache hicolor

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files -f %{name}-2.0.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/*
%{_sysconfdir}/gnome/gnomerc
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gnome/*
%{_datadir}/pixmaps/*
%_datadir/icons/hicolor/*/apps/*
%{_mandir}/*/*




%changelog
* Tue Mar 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 189962
- Do not ship xsession file, we use chksession instead (Mdv bug #39196)

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183851
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 2.21.93-1mdv2008.1
+ Revision: 180931
- new version
- drop patch 15

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.92-2mdv2008.1
+ Revision: 176404
- Replace dependency on mandrake_desk with desktop-common-data

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - bump deps

* Mon Feb 25 2008 Olivier Blin <oblin@mandriva.com> 2.21.91-3mdv2008.1
+ Revision: 174936
- require GConf2-sanity-check (which has been split out of GConf2)

* Wed Feb 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.91-2mdv2008.1
+ Revision: 173222
- Update splash for Mandriva 2008.1

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165451
- fix installation
- new version
- rediff patch 15
- remove invalid locales

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159051
- new version
- update deps

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152133
- new version
- drop patch 12
- update file list

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.20.3-1mdv2008.1
+ Revision: 146379
- new version

* Thu Jan 03 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.2-2mdv2008.1
+ Revision: 143979
- Patch16 (Fedora): always enable sound server (since we use PulseAudio)
- Update source2 to fix typo in linc-cleanup-socket test, preventing it from running

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Götz Waschk <waschk@mandriva.org> 2.20.2-1mdv2008.1
+ Revision: 113320
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98658
- new version

* Fri Sep 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 91770
- Patch15: fix login/logout sound events (GNOME bug #466458)

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-1mdv2008.0
+ Revision: 90439
- Patch13 (Ubuntu): don't fade logout on LTSP client
- Patch14 (Ubuntu): prevent splash from staying too long on screen

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Thu Sep 13 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-3mdv2008.0
+ Revision: 85271
- Patch12 (Fedora): fix ICE mem leak
- Remove eggcups from default session, use xdg autostart instead

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.92-2mdv2008.0
+ Revision: 81786
- Ensure session preferences menu entry is only visible in GNOME preferences menu

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79455
- new version

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 72584
- New splash for GNOME 2.20 / Mdv 2008.0 (it isn't released yet :)

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63244
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56706
- fix buildrequires
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49938
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40693
- new version
- update patch 11
- new version
- drop patches 2,7.10
- fix buildrequires
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 144091
-bunzip scripts in svn
-update gnomerc script to run linc-cleanup-sockets before starting session
- Remove patch5 and update patch4 : Mandriva-Galaxy is now started by autostart

* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 143777
- rename splash screen file and update patch 6
- update patch 4 for Mandriva Galaxy

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142069
- new version

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-4mdv2007.1
+ Revision: 133636
- Improve splash corners

* Mon Mar 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-3mdv2007.1
+ Revision: 133232
- Updated splash

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-2mdv2007.1
+ Revision: 130604
- Patch11: increase timeout for a11y startup popup

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126154
- new version

* Wed Feb 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 123809
- Patch10: handle shaped image for startup (GNOME bug #399262)
- Update splash

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120193
- new version

* Fri Feb 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.90.1-2mdv2007.1
+ Revision: 118539
- Patch10: fix at-spi startup timeout (GNOME bug #345428)

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90.1-1mdv2007.1
+ Revision: 111992
- new version
- drop patch 10

  + Frederic Crozat <fcrozat@mandriva.com>
    -Patch10 : fix default session filename

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111672
- new version
- rediff patches 3 and 6
- add icons

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106286
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 90736
- bot rebuild
- fix buildrequires
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87646
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86239
- new version
- unpack patches

* Fri Oct 13 2006 Olivier Blin <oblin@mandriva.com> 2.16.1-2mdv2007.1
+ Revision: 63792
- adapt compiz patch to new compositing-wm-common package

  + Götz Waschk <waschk@mandriva.org>
    - Import gnome-session

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch9: allow to start compiz

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-2mdv2007.0
- Improved splash screen

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update source 3, enable patch6, new splash

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- update source2 to suppor new way of changing menu style
- fix mandriva category in .desktop

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Update source2 to correctly set XDG_CONFIG_DIRS

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0-
- xdg menu
- update deps
- drop patch 9
- New release 2.15.4

* Tue Jun 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-3mdv2007.0
- Patch9 (CVS): fix warning in gnome-session-remove
- use new macros

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-2mdv2007.0
- Update patch5 to use correct name for mandriva-galaxy

* Wed May 31 2006 Göttz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2
- Remove patch10 (merged upstream)
- Patch10 (Fedora): don't crash apps on warningp

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Update patch3 to not start g-v-m (done with new autostart feature)

* Fri Apr 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-3mdk
- Release 2.14.1
- Remove patch9 (merged upstream)
- Disable patch6

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-3mdk
- Enable patch 6, update source 3, splash screen is back

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- rebuild for new openssl

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Regenerate patch3 (gotz)
- Remove patch11 (merged upstream)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.0-9mdk
- rebuild to remove glitz dep

* Fri Aug 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-8mdk
- Fix icon path

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-7mdk
- Patch11 (CVS): fix text rendering
- Remove patch8, replaced by patch 11

* Wed Aug 03 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-6mdk
- Enable patch 6, splash is back

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdk 
- Regenerate patch3: remove gnome-smproxy, it is causing more problems 
  than it solves (Mdk bug #16870)

* Fri May 13 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdk 
- Remove yelp dependency, so removing firefox won't remove gnome-session
  or gnome-panel

* Wed Apr 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdk 
- Fix typo in source2

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Update source2 for new location of original menu files

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- disable patch 6

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-9mdk 
- New splash

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-8mdk 
- Enable patch6, new splash

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-7mdk 
- Update source2 to never touch BROWSER variable

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-6mdk 
- Patch10: really hide bad hostname dialog when it is ok (Mdk bug #12426)

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-5mdk 
- Update patch3 to start eggcups

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-4mdk 
- Update source2 to set XDG_CONFIG_DIRS if using original menu (Mdk bug #12971)
- Update patch3 to call gnome-volume-manager instead of magicdev

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk 
- Rebuild with latest howl

* Wed Nov 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- fix buildrequires

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch9 (merged upstream)
- Disable patch 6
- Patch9 (Fedora): add autostart .desktop directory support

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch9 (CVS): don't leak background pixbuf

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-4mdk
- Splash is back, enable patch6

* Thu Aug 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Update source 2 to no longer start mdkapplet (handled by xinit now)

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Update source 2 to use epiphany as default browser (otherwise galeon)

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Update patch 3 to fix bug 9462 (need to increment number of clients)

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- disable patch 6, use default gnome2.6 splash
- really fix patches 3,4

